;************************************ Mensaje_01.asm ***********************************
;
;	===================================================================
;	  Del libro "MICROCONTROLADOR PIC16F84. DESARROLLO DE PROYECTOS"
;	  E. Palacios, F. Remiro y L. Lpez.
; 	  Editorial Ra-Ma.  www.ra-ma.es
;	===================================================================
;
; En la pantalla del mdulo LCD se visualiza un mensaje de menos de 16 caracteres grabado
; en la memoria ROM mediante la directiva DT.
;
; ZONA DE DATOS **********************************************************************

	__CONFIG   _CP_OFF &  _WDT_OFF & _PWRTE_ON & _HS_OSC
	LIST	   P=16F877A
	INCLUDE  <P16F877A.INC>

	CBLOCK  0x20
	LCD_ApuntaCaracter		; Indica la posicin del carcter a visualizar
					; respecto del comienzo de todos los mensajes
					; (posicin de la etiqueta "Mensajes").
	LCD_ValorCaracter		; Valor del cdigo ASCII del carcter a 
	ENDC				; visualizar.

; ZONA DE CDIGOS ********************************************************************

	ORG	0
Inicio
	call	LCD_Inicializa
	clrf	LCD_ApuntaCaracter	; Se visualizar la primera posicin del mensaje.
LCD_VisualizaOtroCaracter
	movf	LCD_ApuntaCaracter,W
	call	Mensajes		; Obtiene el cdigo ASCII del carcter apuntado.
	movwf	LCD_ValorCaracter	; Guarda el valor de carcter.
	movf	LCD_ValorCaracter,F	; Lo nico que hace es posicionar flag Z. En caso
	btfsc	STATUS,Z		; que sea "0x00", que es cdigo indicador final	
	goto	Fin			; de mensaje, sale fuera.
LCD_NoUltimoCaracter
	call	LCD_Caracter		; Visualiza el carcter ASCII ledo.
	incf	LCD_ApuntaCaracter,F	; Apunta a la posicin del siguiente carcter 
	goto	LCD_VisualizaOtroCaracter	; dentro del mensaje.
Fin	sleep				; Pasa a modo bajo consumo.

; Subrutina "Mensajes" ---------------------------------------------------------------
;
Mensajes
	addwf	PCL,F
Mensaje0				; Posicin inicial del mensaje.
	DT "Hola!, que tal?   ", 0x00	

	INCLUDE  <LCD_EASY.INC>
	INCLUDE  <RETARDOS.INC>
	END
	
;	===================================================================
;	  Del libro "MICROCONTROLADOR PIC16F84. DESARROLLO DE PROYECTOS"
;	  E. Palacios, F. Remiro y L. Lpez.
; 	  Editorial Ra-Ma.  www.ra-ma.es
;	===================================================================
