;************************************** Mensaje_09.asm **********************************
;
;	===================================================================
;	  Del libro "MICROCONTROLADOR PIC16F84. DESARROLLO DE PROYECTOS"
;	  E. Palacios, F. Remiro y L. Lpez.
; 	  Editorial Ra-Ma.  www.ra-ma.es
;	===================================================================
;
; En pantalla visualiza "Cerrado" o "Abierto" segn si un pulsador est presionado o no.
;
; ZONA DE DATOS **********************************************************************

	__CONFIG   _CP_OFF &  _WDT_OFF & _PWRTE_ON & _HS_OSC
	LIST	   P=16F877A
	INCLUDE  <P16F877A.INC>

	CBLOCK  0x20
	ENDC

#DEFINE  Pulsador PORTB,4		; Lnea donde se conecta el pulsador.

; ZONA DE CDIGOS ********************************************************************

	ORG	0
Inicio
	call	LCD_Inicializa
	bsf	STATUS,RP0
	bsf	Pulsador		; Lnea del pulsador que se configura como entrada. 
	bcf	STATUS,RP0
Principal
	call	LCD_Linea1
	movlw	MensajeAbierto		; En principio considera que est abierto.
	btfsc	Pulsador		; Lee el pulsador.
	movlw	MensajeCerrado		; No
	call	LCD_Mensaje		; Visualiza el resultado.
	goto	Principal
	
; "Mensajes" ----------------------------------------------------------------------------
;
Mensajes
	addwf	PCL,F
MensajeAbierto
	DT "         abIERto", 0x00
MensajeCerrado
	DT "         CErraDO", 0x00

	INCLUDE  <RETARDOS.INC>
	INCLUDE  <LCD_EASY.INC>
	INCLUDE  <LCD_MENS.INC>
	END
	
;	===================================================================
;	  Del libro "MICROCONTROLADOR PIC16F84. DESARROLLO DE PROYECTOS"
;	  E. Palacios, F. Remiro y L. Lpez.
; 	  Editorial Ra-Ma.  www.ra-ma.es
;	===================================================================
